Bug 1631483 - vncpasswd fails in the installation environment
Summary: vncpasswd fails in the installation environment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tigervnc
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1654309 1637086
TreeView+ depends on / blocked
 
Reported: 2018-09-20 16:54 UTC by Vendula Poncova
Modified: 2019-03-07 15:49 UTC (History)
5 users (show)

Fixed In Version: tigervnc-1.9.0-3.fc29 tigervnc-1.9.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1637086 (view as bug list)
Environment:
Last Closed: 2018-09-29 22:02:06 UTC


Attachments (Terms of Use)

Description Vendula Poncova 2018-09-20 16:54:27 UTC
Description of problem:
Anaconda fails to run vncpasswd.

Version-Release number of selected component (if applicable):
tigervnc-server-minimal-1.9.0-2.fc29.x86_64.rpm

How reproducible:
always

Steps to Reproduce:
1. export MALLOC_CHECK_=2 MALLOC_PERTURB_=204
2. echo "123456" | vncpasswd -f >/tmp/out

Actual results:

free(): invalid pointer
Aborted (core dumped)

From journalctl:

ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 pid=5041 comm="vncpasswd" exe="/usr/bin/vncpasswd" sig>
Started Process Core Dump (PID 5042/UID 0).
SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@1-5042-0 comm=">
Process 5041 (vncpasswd) of user 1000 dumped core.

Stack trace of thread 5041:
#0  0x00007f1de9ee3eab raise (libc.so.6)
#1  0x00007f1de9ece5b9 abort (libc.so.6)
#2  0x00007f1de9f267b7 __libc_message (libc.so.6)
#3  0x00007f1de9f2cc4c malloc_printerr (libc.so.6)
#4  0x00007f1de9f30a0e free_check.part.2 (libc.so.6)
#5  0x00005616c036c9c8 _ZN3rfb11PlainPasswd10replaceBufEPc (vncpasswd)
#6  0x00005616c036c9df _ZN3rfb11PlainPasswdD1Ev (vncpasswd)
#7  0x00005616c036c68a _ZL11getpasswordPKc (vncpasswd)
#8  0x00005616c036c285 main (vncpasswd)
#9  0x00007f1de9ed011b __libc_start_main (libc.so.6)
#10 0x00005616c036c49a _start (vncpasswd)


Expected results:
success

Comment 1 Fedora Update System 2018-09-25 11:04:59 UTC
tigervnc-1.9.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d6d79daa0

Comment 2 Fedora Update System 2018-09-25 11:05:06 UTC
tigervnc-1.9.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b723fa252f

Comment 3 Fedora Update System 2018-09-27 02:10:33 UTC
tigervnc-1.9.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b723fa252f

Comment 4 Fedora Update System 2018-09-27 04:47:21 UTC
tigervnc-1.9.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d6d79daa0

Comment 5 Fedora Update System 2018-09-29 22:02:06 UTC
tigervnc-1.9.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-09-30 01:09:44 UTC
tigervnc-1.9.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.